﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;


namespace DataGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;

            #region DataSource
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 100; i++)
            {
                dataSource.Add(new Data(r, "Category" + r.ToString(), r + i, r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridGroupingControl1.DataSource = dataSource;

            #endregion

            foreach (GridColumnDescriptor col in this.gridGroupingControl1.TableDescriptor.Columns)
            {
                col.AllowFilter = true;
            }
            //Form()
            GridExcelFilter excelfilter = new GridExcelFilter();
            excelfilter.WireGrid(this.gridGroupingControl1);
            
            excelfilter.EnableNumberFilter = true;

            this.gridGroupingControl1.TableDescriptor.RecordFilters.Changed += new Syncfusion.Collections.ListPropertyChangedEventHandler(RecordFilters_Changed);
        }

        void RecordFilters_Changed(object sender, Syncfusion.Collections.ListPropertyChangedEventArgs e)
        {
            if ((e.Action == Syncfusion.Collections.ListPropertyChangedType.Add || e.Action == Syncfusion.Collections.ListPropertyChangedType.ItemChanged) && e.Item != null)
            {
                FilteredRecordsInTableCollection filteredRecords = this.gridGroupingControl1.Table.FilteredRecords;
                MessageBox.Show("FilteredReocords count:" + filteredRecords.Count.ToString());
            }
        }
       
        private void button1_Click(object sender, EventArgs e)
        {
            FilteredRecordsInTableCollection filteredRecords = this.gridGroupingControl1.Table.FilteredRecords;
            MessageBox.Show("FilteredReocords count:" + filteredRecords.Count.ToString());
        }
    }
}
